Skip to main content
POST
/
api
/
2.0
/
immunizations
Create Immunization
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/immunizations/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "administered_date": "2023-11-07T05:31:56Z",
  "administering_physician": 123,
  "ordering_physician": 123,
  "patient": 123,
  "qty": "<string>",
  "vaccine": {
    "cvx": -1
  },
  "allowed_sharing": true,
  "description": "<string>",
  "dose_in_series": -1,
  "expiration_date": "2023-12-25",
  "lot_number": "<string>",
  "manufacturer_code": "<string>",
  "manufacturer_name": "<string>",
  "method": "<string>",
  "ndc": "<string>",
  "notes": "<string>",
  "patient_consent": true,
  "practice": 123,
  "priority_population": "<string>",
  "qty_units": "<string>",
  "reason": "<string>",
  "service_location_id": 123,
  "site": "<string>",
  "vis": "<string>",
  "vis_given_date": "2023-12-25"
}
'
{
  "administered_date": "2023-11-07T05:31:56Z",
  "administering_physician": 123,
  "ordering_physician": 123,
  "patient": 123,
  "qty": "<string>",
  "vaccine": {
    "cdc_name": "<string>",
    "cdc_type": "<string>",
    "cvx": -1,
    "name": "<string>"
  },
  "allowed_sharing": true,
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "dose_in_series": -1,
  "expiration_date": "2023-12-25",
  "id": 123,
  "lot_number": "<string>",
  "manufacturer_code": "<string>",
  "manufacturer_name": "<string>",
  "method": "<string>",
  "ndc": "<string>",
  "notes": "<string>",
  "patient_consent": true,
  "practice": 123,
  "priority_population": "<string>",
  "qty_units": "<string>",
  "reason": "<string>",
  "service_location_id": 123,
  "site": "<string>",
  "vis": "<string>",
  "vis_given_date": "2023-12-25"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
administered_date
string<date-time>
required
administering_physician
integer<int64> | null
required
ordering_physician
integer<int64> | null
required
patient
integer<int64>
required
qty
string | null
required
vaccine
object
required
allowed_sharing
boolean | null

Whether this immunization should be sent to Immunization Registry (true/false/null)

description
string | null
Maximum string length: 255
dose_in_series
integer | null
Required range: -2147483648 <= x <= 2147483647
expiration_date
string<date> | null
funding_source
enum<string> | null
Available options:
Privately funded vaccine stock,
Publicly funded vaccine stock,
Publicly funded vaccine stock - Non-VFC,
Publicly funded vaccine stock - VFC
info_source
enum<string> | null
Available options:
Historical information - from birth certificate,
Historical information - from other provider,
Historical information - from other registry,
Historical information - from parent's recall,
Historical information - from parent's written record,
Historical information - from public agency,
Historical information - from school record,
Historical information - source unspecified,
New immunization record
lot_number
string | null
Maximum string length: 255
manufacturer_code
string | null
Maximum string length: 255
manufacturer_name
string | null
Maximum string length: 255
method
string | null
Maximum string length: 255
ndc
string | null

Should be 10-11 digits, 2 dashes.

Maximum string length: 31
notes
string | null
practice
integer<int64> | null
priority_population
string | null

For Immunization Registry Integrations (less than 9 symbols).

Maximum string length: 8
publicity_code
enum<string> | null
Available options:
No reminder/recall,
Only recall to provider, no reminder,
Only reminder to provider, no recall,
Recall only - any method,
Recall only - no calls,
Recall to provider,
Reminder only - any method,
Reminder only - no calls,
Reminder to provider,
Reminder/recall - any method,
Reminder/recall - no calls,
Reminder/recall - to provider
qty_units
string | null
Maximum string length: 100
reason
string | null
service_location_id
integer<int64> | null
site
string | null
Maximum string length: 255
vfc_eligibility
enum<string> | null
Available options:
317,
CA State General Fund Vaccines,
CHIP,
HI Adult Insured,
HI Adult Not Insured,
HI Birthing Hospital Hepatitis B,
Local-specific eligibility,
ME State Eligible - Insured - Under 19,
Medicare,
Not VFC eligible,
OR Locally Owned,
OR Special Projects,
State program eligibility,
VFC eligible - American Indian/Alaskan Native,
VFC eligible - Medicaid/Medicaid Managed Care,
VFC eligible - Under-insured,
VFC eligible - Uninsured
vis
string | null
vis_given_date
string<date> | null

Response

201 - application/json
administered_date
string<date-time>
required
administering_physician
integer<int64> | null
required
ordering_physician
integer<int64> | null
required
patient
integer<int64>
required
qty
string | null
required
vaccine
object
required
allowed_sharing
boolean | null

Whether this immunization should be sent to Immunization Registry (true/false/null)

created_date
string<date-time> | null
read-only
deleted_date
string<date-time> | null
read-only
description
string | null
Maximum string length: 255
dose_in_series
integer | null
Required range: -2147483648 <= x <= 2147483647
expiration_date
string<date> | null
funding_source
enum<string> | null
Available options:
Privately funded vaccine stock,
Publicly funded vaccine stock,
Publicly funded vaccine stock - Non-VFC,
Publicly funded vaccine stock - VFC
id
integer
read-only
info_source
enum<string> | null
Available options:
Historical information - from birth certificate,
Historical information - from other provider,
Historical information - from other registry,
Historical information - from parent's recall,
Historical information - from parent's written record,
Historical information - from public agency,
Historical information - from school record,
Historical information - source unspecified,
New immunization record
lot_number
string | null
Maximum string length: 255
manufacturer_code
string | null
Maximum string length: 255
manufacturer_name
string | null
Maximum string length: 255
method
string | null
Maximum string length: 255
ndc
string | null

Should be 10-11 digits, 2 dashes.

Maximum string length: 31
notes
string | null
practice
integer<int64> | null
priority_population
string | null

For Immunization Registry Integrations (less than 9 symbols).

Maximum string length: 8
publicity_code
enum<string> | null
Available options:
No reminder/recall,
Only recall to provider, no reminder,
Only reminder to provider, no recall,
Recall only - any method,
Recall only - no calls,
Recall to provider,
Reminder only - any method,
Reminder only - no calls,
Reminder to provider,
Reminder/recall - any method,
Reminder/recall - no calls,
Reminder/recall - to provider
qty_units
string | null
Maximum string length: 100
reason
string | null
service_location_id
integer<int64> | null
site
string | null
Maximum string length: 255
vfc_eligibility
enum<string> | null
Available options:
317,
CA State General Fund Vaccines,
CHIP,
HI Adult Insured,
HI Adult Not Insured,
HI Birthing Hospital Hepatitis B,
Local-specific eligibility,
ME State Eligible - Insured - Under 19,
Medicare,
Not VFC eligible,
OR Locally Owned,
OR Special Projects,
State program eligibility,
VFC eligible - American Indian/Alaskan Native,
VFC eligible - Medicaid/Medicaid Managed Care,
VFC eligible - Under-insured,
VFC eligible - Uninsured
vis
string | null
vis_given_date
string<date> | null